## org.jfree.data
Class NormalizedMatrixSeries

    java.lang.Object
      org.jfree.data.Series
          org.jfree.data.MatrixSeries
              org.jfree.data.NormalizedMatrixSeries

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class NormalizedMatrixSeries
extends MatrixSeries

Represents a dense normalized matrix M[i,j] where each Mij item of the matrix has a value (default is 0). When a matrix item is observed using `getItem` method, it is normalized, that is, divided by the total sum of all items. It can be also be scaled by setting a scale factor.

Since:
  Jun 18, 2003
Author:
  Barak Naveh
See Also:
  Serialized Form

Field Summary
`static double` `DEFAULT_SCALE_FACTOR` The default scale factor.

Fields inherited from class org.jfree.data.MatrixSeries
`data`

Constructor Summary
`NormalizedMatrixSeries(java.lang.String name, int rows, int columns)` Constructor for NormalizedMatrixSeries.

Method Summary
`java.lang.Number` `getItem(int itemIndex)` Returns an item.
`double` `getScaleFactor()` Returns the factor that multiplies each item in this series when observed using getItem mehtod.
`void` `setScaleFactor(double factor)` Sets the factor that multiplies each item in this series when observed using getItem mehtod.
`void` `update(int i, int j, double mij)` Updates the value of the specified item in this matrix series.
`void` `zeroAll()` Sets all matrix values to zero and sends a `SeriesChangeEvent` to all registered listeners.

Methods inherited from class org.jfree.data.MatrixSeries
`equals, get, getColumnsCount, getItemColumn, getItemCount, getItemRow, getRowCount`

Methods inherited from class org.jfree.data.Series
`addChangeListener, addPropertyChangeListener, clone, firePropertyChange, fireSeriesChanged, getDescription, getName, getNotify, hashCode, notifyListeners, removeChangeListener, removePropertyChangeListener, setDescription, setName, setNotify`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SCALE_FACTOR

    public static final double DEFAULT_SCALE_FACTOR

  The default scale factor.

  See Also:
    Constant Field Values

Constructor Detail

### NormalizedMatrixSeries

    public NormalizedMatrixSeries(java.lang.String name,
                                  int rows,
                                  int columns)

  Constructor for NormalizedMatrixSeries.

Parameters:
  `name` - the series name.
  `rows` - the number of rows.
  `columns` - the number of columns.

Method Detail

### getItem

    public java.lang.Number getItem(int itemIndex)

  Returns an item.

  Overrides:
    `getItem` in class `MatrixSeries`
  Parameters:
    `itemIndex` - the index.
  Returns:
    The value.
  See Also:
    `MatrixSeries.getItem(int)`

### setScaleFactor

    public void setScaleFactor(double factor)

  Sets the factor that multiplies each item in this series when observed using getItem mehtod.

  Parameters:
    `factor` - new factor to set.
  See Also:
    `DEFAULT_SCALE_FACTOR`

### getScaleFactor

    public double getScaleFactor()

  Returns the factor that multiplies each item in this series when observed using getItem mehtod.

  Returns:
    the factor

### update

    public void update(int i,
                       int j,
                       double mij)

  Description copied from class: `MatrixSeries`
  Updates the value of the specified item in this matrix series.

  Overrides:
    `update` in class `MatrixSeries`
  Parameters:
    `i` - the row of the item.
    `j` - the column of the item.
    `mij` - the new value for the item.
  See Also:
    `MatrixSeries.update(int, int, double)`

### zeroAll

    public void zeroAll()

  Description copied from class: `MatrixSeries`
  Sets all matrix values to zero and sends a `SeriesChangeEvent` to all registered listeners.

  Overrides:
    `zeroAll` in class `MatrixSeries`
  See Also:
    `MatrixSeries.zeroAll()`